# Create manifest

Products
            Plans
          
        
        
          
            
              
              Formerly ShipEngine
            
            
              Free
              Advanced
              Enterprise
            
          
          
            
              
            
            
              Free
              Starter
              Standard
              Premium
            
          
        
      
      
        
          Learn about products and plans
          
        
      
    

Each ShipStation manifest is created for a specific warehouse, so you'll need to provide the warehouse_id
rather than the ship_from address. You can create a warehouse for each location that you want to create manifests for.

Endpoint: POST /v2/manifests
Version: 2.0.0
Security: api_keys

## Response 200 fields (application/json):

  - `manifests` (array)
    Resulting Manifests

  - `manifests.manifest_id` (string)
    A string that uniquely identifies the manifest
    Example: "se-28529731"

  - `manifests.form_id` (string)
    A string that uniquely identifies the form
    Example: "se-28529731"

  - `manifests.created_at` (string)
    The date-time that the manifest was created
    Example: "2019-07-12T13:37:39.05Z"

  - `manifests.ship_date` (string)
    The date-time that the manifests shipments will be picked up
    Example: "2019-07-12T13:37:39.05Z"

  - `manifests.shipments` (integer)
    The number of shipments that are included in this manifest
    Example: 100

  - `manifests.label_ids` (array)
    An array of the label ids used in this manifest.
    Example: ["se-28529731"]

  - `manifests.warehouse_id` (string)
    A string that uniquely identifies the warehouse
    Example: "se-28529731"

  - `manifests.submission_id` (string)
    A string that uniquely identifies the submission
    Example: "9475711899564878915476"

  - `manifests.carrier_id` (string)
    A string that uniquely identifies the carrier
    Example: "se-28529731"

  - `manifests.manifest_download` (object)
    Object containing the href link to download the manifest file

  - `manifests.manifest_download.href` (string)
    The URL of the linked resource, if any
    Example: "https://example.com/resource"

  - `manifest_request_id` (string)
    A string that uniquely identifies a manifest request
    Example: "se-28529731"

  - `status` (string)
    The possible statuses of a manifest request
    Enum: "in_progress", "completed"

  - `request_id` (string, required)
    A UUID that uniquely identifies the request id.
This can be given to the support team to help debug non-trivial issues that may occur
    Example: "aa3d8e8e-462b-4476-9618-72db7f7b7009"

  - `errors` (array, required)
    The errors associated with the failed API call

  - `errors.error_source` (string, required)
    The source of the error, as indicated by the name this informs us if the API call failed because of the
carrier, the order source, the ShipStation API itself, or the underlying ShipEngine platform.
    Enum: "carrier", "order_source", "ShipStation", "shipengine"

  - `errors.error_type` (string, required)
    The type of error
    Enum: "account_status", "business_rules", "validation", "security", "system", "integrations"

  - `errors.error_code` (string, required)
    The error code specified for the failed API Call
    Enum: "auto_fund_not_supported", "batch_cannot_be_modified", "carrier_conflict", "carrier_disconnected", "carrier_not_connected", "carrier_not_supported", "confirmation_not_supported", "default_warehouse_cannot_be_deleted", "field_conflict", "field_value_required", "forbidden", "identifier_conflict", "identifiers_must_match", "insufficient_funds", "invalid_address", "invalid_billing_plan", "invalid_field_value", "invalid_identifier", "invalid_status", "invalid_string_length", "label_images_not_supported", "meter_failure", "order_source_not_active", "rate_limit_exceeded", "refresh_not_supported", "request_body_required", "return_label_not_supported", "settings_not_supported", "subscription_inactive", "terms_not_accepted", "tracking_not_supported", "trial_expired", "unauthorized", "unknown", "unspecified", "verification_failure", "warehouse_conflict", "webhook_event_type_conflict", "customs_items_required", "incompatible_paired_labels", "invalid_charge_event", "invalid_object", "no_rates_returned"

  - `errors.message` (string, required)
    An error message associated with the failed API call
    Example: "Body of request cannot be null."

  - `errors.label_id` (string)
    The label this error is associated with if it is specific to a individual label.
    Example: "se-28529731"

  - `manifest_id` (string, required)
    A string that uniquely identifies the manifest
    Example: "se-28529731"

  - `form_id` (string, required)
    A string that uniquely identifies the form
    Example: "se-28529731"

  - `created_at` (string, required)
    The date-time that the manifest was created
    Example: "2019-07-12T13:37:39.05Z"

  - `ship_date` (string, required)
    The date-time that the manifests shipments will be picked up
    Example: "2019-07-12T13:37:39.05Z"

  - `shipments` (integer, required)
    The number of shipments that are included in this manifest
    Example: 100

  - `warehouse_id` (string, required)
    A string that uniquely identifies the warehouse
    Example: "se-28529731"

  - `submission_id` (string, required)
    A string that uniquely identifies the submission
    Example: "9475711899564878915476"

  - `carrier_id` (string, required)
    A string that uniquely identifies the carrier
    Example: "se-28529731"

  - `manifest_download` (object, required)
    Object containing the href link to download the manifest file

  - `manifest_download.href` (string)
    The URL of the linked resource, if any
    Example: "https://example.com/resource"

  - `label_ids` (array)
    An array of the label ids used in this manifest.
    Example: ["se-28529731"]

## Response 400 fields (application/json):

  - `request_id` (string, required)
    A UUID that uniquely identifies the request id.
This can be given to the support team to help debug non-trivial issues that may occur
    Example: "aa3d8e8e-462b-4476-9618-72db7f7b7009"

  - `errors` (array, required)
    The errors associated with the failed API call

  - `errors.error_source` (string, required)
    The source of the error, as indicated by the name this informs us if the API call failed because of the
carrier, the order source, the ShipStation API itself, or the underlying ShipEngine platform.
    Enum: "carrier", "order_source", "ShipStation", "shipengine"

  - `errors.error_type` (string, required)
    The type of error
    Enum: "account_status", "business_rules", "validation", "security", "system", "integrations"

  - `errors.error_code` (string, required)
    The error code specified for the failed API Call
    Enum: "auto_fund_not_supported", "batch_cannot_be_modified", "carrier_conflict", "carrier_disconnected", "carrier_not_connected", "carrier_not_supported", "confirmation_not_supported", "default_warehouse_cannot_be_deleted", "field_conflict", "field_value_required", "forbidden", "identifier_conflict", "identifiers_must_match", "insufficient_funds", "invalid_address", "invalid_billing_plan", "invalid_field_value", "invalid_identifier", "invalid_status", "invalid_string_length", "label_images_not_supported", "meter_failure", "order_source_not_active", "rate_limit_exceeded", "refresh_not_supported", "request_body_required", "return_label_not_supported", "settings_not_supported", "subscription_inactive", "terms_not_accepted", "tracking_not_supported", "trial_expired", "unauthorized", "unknown", "unspecified", "verification_failure", "warehouse_conflict", "webhook_event_type_conflict", "customs_items_required", "incompatible_paired_labels", "invalid_charge_event", "invalid_object", "no_rates_returned"

  - `errors.message` (string, required)
    An error message associated with the failed API call
    Example: "Body of request cannot be null."

  - `errors.field_name` (string)
    The name of the field that caused the error (only present for validation errors)
    Example: "inventory_warehouse_id"

  - `errors.field_value` (string)
    The invalid value that was provided for the field (only present for validation errors)
    Example: "invalid-id"


